Subject: AIList Digest V4 #77

From: vtcs1::in% ([email-masked])
Date: Fri, 11 Apr 86 19:02:18 est

AIList Digest            Friday, 11 Apr 1986       Volume 4 : Issue 77

Today's Topics:
  Bibliographies - AI Subject Codes & Report Sources &
    Technical Reports #1

----------------------------------------------------------------------

Date: WED, 10 JAN 84 17:02:23 CDT
From: [email-masked]
Subject: AI Subject Codes

The following is a list of subject codes that are being put in the %K
field of all bibliographies going out to AILIST.  Hopefully, this will
be of assistance to people in finding material on their favorite
subfield of artificial intelligence.  This searching is best done
with the bib or refer utilities but could be done less conveniently
with more general-purpose utilities.

For example, if one is interested in applications of expert systems to
electrical engineering one would search for AI01 and AA04.

______

AI areas

AI01 Expert Systems, Rule Based Systems
AI02 Natural Language
AI03 Search (Minimax, Consistant Labelling, alpha-beta, etc.)
AI04 Learning
AI05 Speech Understanding
AI06 Vision, Pattern Recogniton
AI07 Robotics
AI08 Cognitive Science
AI09 Planning
AI10 Logic Programming (material on prolog only will be under T02)
AI11 Theorem Proving
AI12 Neural Networks, Genetic Algorithms, etc.
AI13 Decision Support
AI14 Symbolic Math

Application Areas

AA01 Medicine
AA02 Chemistry
AA03 Geology, Mineral Extraction, Petroleum Extraction and Geology
AA04 Electrical Engineering
AA05 Other Engineering, Unclassifiable Engineering
AA06 Financial, Business, Marketing, Accounting, Etc.
AA07 Education
AA08 Software Engineering, Automatic Programming, Computer Configuration
     and Operation
AA09 Data Bases
AA10 Biology
AA11 Social Sciences
AA12 Statistics
AA13 Mathematics
AA14 Information Retrieval
AA15 User Interfaces to other Software
AA16 Other Physcial Science
AA17 Game Playing
AA18 Military Applications
AA19 Operating Equipment, e. g. pilots associate, autonomous land vehicle
AA20 Process Control
AA21 Diagnostic and Maintenance Systems (Other than Medical)
AA22 Configuration Systems
AA23 Agriculture
AA24 Legal
AA25 Art, Humanities, Music, Architecture, entertainment etc.

Geographical Areas

GA01 Japan
GA02 United States
GA03 Europe
GA04 Canada

Tools for AI

T01  Lisp
T02  Prolog
T03  Expert System Tools

Hardware for AI

H01  Microcomputers
H02  Lisp Machines
H03  Parallel Processing
H04  Supercomputers, e. g. Crays

Other Areas

O01  User Interfaces for AI systems
O02  Software Engineering Issues in the Construction of AI programs
O03  Real Time
O04  Fuzzy Logic, Uncertainty Issues, etc.
O05  Social Aspects of AI

Article Types

AT01 Advertisements
AT02 Product Announcements
AT03 Examples of AI Hype
AT04 Market Predictions
AT05 Interviews with Executives of Companies
AT06 Other Interviews
AT07 Book Reviews
AT08 Tutorial Articles
AT09 Bibliography
AT10 Announcements of Company University Interactions
AT11 New Bindings
AT12 Letters to the Editors
AT13 Corrections
AT14 Pronouncements of Famous People
AT15 BOOK
AT16 Company Business, e. g. new financing, revenue announcements,
     joint marketing agreements etc.
AT17 Software Reviews
AT18 Articles on AI topic eduation
AT19 Notes about Grantsmanship and Research Milieu type issues
AT20 History of AI topics
AT21 Bibliography

------------------------------

Date: WED, 10 JAN 84 17:02:23 CDT
From: [email-masked]
Subject: Report Sources

Naomi Schulman,  Publications
COMPUTER SYSTEMS LABORATORY
STANFORD UNIVERSITY
Stanford, CA 94305

UCLA COMPUTER SCIENCE DEPARTMENT
University of California
3713 Boelter Hall
Los Angeles, CA 90024

Cindy Hathaway, technical reports
secretary, computer science department, louisiana state university,
baton rouge, louisiana 70803, or cindy@lsu on csnet

California Institute of Technology
Computer Science, 256-80
Pasadena California 91125

Electrical Engineering and Computer Science Departments
Stevens Institute of Technology
Castle Point Station
Hoboken, New Jersey 07030

Computer Science Department
University of Rochester
Rochester, New York 14627

Ms. Sally Goodall
Technical Reports Librarian
Computer Science Department
SUNY Albany LI 67A
Albany, New York 12222

Technical Reports
Department of Computer Science
Campus Box 1045
Washington University
St. Louis, Missouri 63130

Department of Computer Science
136 Lind Hall
University of Minnesota, Twin cities
207 Church Street SE
Minneapolis, Minnesota 55455

IBM T.J. Watson Research Center
Distribution Services, F-11, Stormytown
P.O. Box 218
Yorktown Heights, NY 10598

------------------------------

Date: WED, 10 JAN 84 17:02:23 CDT
From: [email-masked]
Subject: Technical Reports #1

%A Bruce Abramson
%T A Cure for Pathological Behavior in Games that use Minimax
%R CUCS-153-85
%I Columbia University
%C New York City
%K AI03 AA17

%A Peter K. Allen
%A Ruzena Bajcsy
%T Integrating Sensory Data for Object Recognition Tasks
%R CUCS-184-85
%I Columbia University
%C New York City
%K AI06

%A Peter Kirby Allen
%T Object Recognition Using Vision and Touch
%R CUCS-220-85
%I Columbia University
%C New York City
%K AI06 AI07

%A Terrance E. Boult
%T Reproducing Kernels for Visual Surface Interpolation
%R CUCS-186-85
%I Columbia University
%C New York City
%K AI06

%A Terrance E. Boult
%T Visual Surface Interpolation: A Comparison of Two Methods
%R CUCS-189-85
%I Columbia University
%C New York City
%K AI06

%A Galina Datskovsky
%T Menu Interfaces to Expert Systems: Overview and Evaluation
%R CUCS-168-84
%I Columbia University
%C New York City
%K O01 AI01

%A Galina Datskovsky
%T Natural Language Interfaces to Expert Systems
%R CUCS-169-85
%I Columbia University
%C New York City
%K AI01 O01 AI02

%A Thomas Ellman
%T Generalizing Logic Circuit Designs by Analyzing Proofs of Correctness
%R CUCS-190-85
%I Columbia University
%C New York City
%K AA04

%A Bruce K. Hilyer
%A David Elliot Shaw
%T Execution of OPS5 Production Systems on a Massively Parallel Machine
%R CUCS-147-84
%I Columbia University
%C New York City
%K AI01 H03

%A Bruce K. Hillyer
%T A Knowledge-Based Expert Systems Primer and Catalog
%R CUCS-195-85
%I Columbia University
%C New York City
%K AI01 AT08

%A Hussaein A. H. Ibrahim
%A John R. Kender
%A David Elliot Shaw
%T On the Application of Massively Parallel SIMD Tree Machines
to Certain Intermediate-Level Vision Tasks
%I Columbia University
%C New York City
%R CUCS-221-85
%K AI06  H03

%A Husein A. H. Ibrahim
%A John R. Kender
%A David Elliot Shaw
%T SIMD Tree Algorithms for Image Correlation
%R CUCS-222-86
%I Columbia University
%C New York City
%K AI06 H03

%A Toru Ishida
%A Salvatore Stolfo
%T Towards the Parallel Execution of Rules in Production Systems Programs
%R CUCS-154-84
%I Columbia University
%C New York City
%K H03 AI01

%A John R. Kender
%A David Lee
%A Terrance Boult
%T Information Based Complexity Applied to Optimal Recovery of the 2 1/2-D
Sketch
%R CUCS-170-85
%I Columbia University
%C New York City
%K AI06

%A Richard E. Korf
%T Macro-Operators: A Weak Method for Learning
%R CUCS-156-85
%I Columbia University
%C New York City
%K AI04

%A Richard E. Korf
%T Depth-First Iterative-Depending: An Optimal Admissible Tree Search
%R CUCS-197-85
%I Columbia University
%C New York City
%K AI03

%A Michael Lebowitz
%T The Use of Memory in Text Processing
%R CUCS-200-85
%I Columbia University
%C New York City
%K AI02 Researcher Patent

%A Michael Lebowitz
%T Integrated Learning: Controlling Explanation
%R CUCS-201-85
%I Columbia University
%C New York City
%K AI04 Unimem

%A MIchael Lebowitz
%T Story Telling and Generalizations
%R CUCS-202-85
%I Columbia University
%C New York City
%K AI02

%A Michael Lebowitz
%T Researcher: An Experimental Intelligent Information Systems
%R CUCS-171-85
%I Columbia University
%C New York City
%K AI02 AA14

%A David Lee
%T Contributions to Information-Based Complexity, Image Understanding,
and Logic Circuit Desing
%R CUCS-182-85
%I Columbia University
%C New York City
%K AI06 AA04

%A David Lee
%T Optimal Algorithms for Image Understanding: Current Status and Future Plans
%R CUCS-183-85
%I Columbia University
%C New York City
%K AI06

%A Mark D. Lerner
%A Michael von Biema
%A Gerald Q. Maguire, Jr.
%R CUCS-146-85
%I Columbia University
%C New York City
%K PSL PPSL H03 T01

%A Mark D. Lerner
%A Gerald Q. Maguire, Jr.
%A Salvatore J. Stolfo
%T An Overview of the DADO Parallel Computer
%R CUCS-157-85
%I Columbia University
%C New York City
%K H03 AI01 T03 AI10

%A Andy Lowery
%A Stephen Taylor
%A Salvatore J. Stolfo
%T LPS Algorithms
%R CUCS-203-84
%I Columbia University
%C New York City
%K AI10 H03

%A Kevin Matthews
%T Taking the Initiative for System Goals in Cooperative Dialogue
%R CUCS-150-85
%I Columbia University
%C New York City
%K advisor AI02

%A Kevin Matthews
%T Initiatory and Reactive System Roles in Human Computer Discourse
%R CUCS-151-85
%I Columbia University
%C New York City
%K advisor AI02

%A Kathleen R. McKeown
%A Myron Wish
%A Kevin Matthews
%T Tailoring Explanations for the User
%R CUCS-172-85
%I Columbia University
%C New York City
%K AI01 AI02 O01

%A Katthleen R. McKeown
%T The Need for Text Generation
%R CUCS-173-85
%I Columbia University
%C New York City
%K AI01 AI02 O01

%A Kathleen R. McKeown
%T Discourse Strategies for Generating Natural Language Text
%R CUCS-204-85
%I Columbia University
%C New York City
%K AI02 AA09

%A Mark L. Moerdler
%A John R. Kender
%T Surface Orientation and Segmentation from Perspective Views of
Parallel-Line Textures
%R CUCS-159-85
%I Columbia University
%C New York City
%K AI06

%A Luanne Burns
%A Alexander Pasik
%T A Generic Framework for Expert Data Analysis Systems
%R CUCS-163-85
%I Columbia University
%C New York City
%K AI01 AA09

%A Alexander Pasik
%A Jans Christensen
%A Douglas Gordin
%A Agata Stancato-Pasik
%A Salvatore Stolfo
%T Explanation and Acquisition in Expert System Using Support Knowledge
%R CUCS-164-85
%I Columbia University
%C New York City
%K AI01 AA01 DTEX

%A K. S. Roberts
%T Equivalent Descriptions of Generalized Cylinders
%R CUCS-210-85
%I Columbia University
%C New York City

%A Salvatore J. STolfo
%A Daniel P. Miranker
%T The DADO Production System Machine
%R CUCS-213-84
%I Columbia University
%C New York City
%K H03 AI01

%A Salvatore J. STolfo
%A Daniel M. Miranker
%A Russel C. Mills
%T More Rules May Mean Faster Parallel Execution
%I Columbia University
%C New York City
%R CUCS-175-85
%K RETE H03 AI01

%A Salvatore J. STolfo
%A Daniel M. Miranker
%A Russel C. Mills
%T A Simple Preprocessing Scheme to Extract and Balance Implicit
Parallelism in the Concurrent Match of Production Rules
%R CUCS-174-85
%I Columbia University
%C New York City
%K H03 AI01 RETE T02 AI10

%A Peter Waldes
%A Janet Lustgarten
%A Salvatore J. Stolfo
%T Are Maintenance Expert Systems Practical Now?
%R CUCS-166-85
%I Columbia University
%C New York City
%K AI01 AA04 Automated Cable Expert Telephone AA21

%A J. F. Traub
%T Information Based Complexity
%R CUCS-162-85
%I Columbia University
%C New York City
%K AI03
%X information-based complexity is based on the assumption that
it is partial, contaminated and it costs in comparison to
ordinary complexity theory in which information is complete, exact and
free.  [There were several reports on this subject.  I am only including
one in this bibliography as it is not clear whether it is related to
AI or not.  Contact Columbia for more info if desired.  LEFF]

%A Kenneth Hal Wasserman
%T Unifying Representation and Generalization: Understanding
Hierarchically Structured Objects
%R TCUCS-177-85
%I Columbia University
%C New York City
%K AA06
%X describes a system to understand upper-level corporate management
hierarchies

%A Ursula Wolz
%T Analyzing User Plans to Produce Informative Responses
by a Programmers' Consultant
%R CUCS-218-85
%I Columbia University
%C New York City
%K AA08 AI02 AI09 AA15

%A Othar Hansson
%A Andrew E. Mayer
%A Mordechai M. Yung
%T Generating Admissible Heuristics by Criticizing Solutions to Relaxed
Models
%R CUCS-219-85
%I Columbia University
%C New York City
%K AI03

%A Carolyn L. Talcott
%T The Essence of Rum A Theory of the Intensional and Extensional Aspects of
Lisp-type Computation
%D AUG 1985
%R STAN-CS-85-1060
%I Stanford University Computer Science
%K AI11 T01
%X $9.50

%A David E. Smith
%A Michael R. Genesereth
%T Controlling Recursive Inference
%D JUN 1985
%R STAN-CS-85-1063
%I Stanford University Computer Science
%K AI11
%X $3.75

%A Matthew L.Ginsberg
%T Decison Procedures
%D MAY 1985
%R STAN-0CS-85-1064
%I Stanford University Computer Science
%K H03
%X The assumption of common rationality that is provably optimal (in a formal
sense) and which enables us to characterize precisely the communication
needs of the participants in multi-agent interactions.
.br
$2.75

%A William J. Clancey
%T Review of Sowa's Conceptual Structures
%D MAR 1985
%R STAN-CS-85-1065
%I Stanford University Computer Science
%K AT07
%X $2.75

%A William J. Clancey
%T Heuristic Classification
%D JUN 1985
%R STAN-CS-85-1066
%I Stanford University Computer Science
%K AI01
%X $4.75

%A William J. Clancey
%T Acquiring, Representing, and Evaluating a Competence Model of Diagnostic
Strategy
%D AUG 1985
%R STAN-CS-85-1067
%I Stanford University Computer Science
%K AI01 AA01
%X $4.95

%A Mark H. Richer
%A William J. Clancey
%T Guidon-Watch: A Graphic Interface for Viewing a Knowledge-Based System
%D AUG 1985
%R STAN-CS-85-1068
%I Stanford University Computer Science
%K AI01 O01
%X $2.75

%A John D. Hobby
%T Digitized Brush Trajectories
%D SEP 1985
%R STAN-CS-85-1070
%I Stanford University Computer Science
%K AI06
%X $5.75

%A Russel Greiner
%T Learning by Understanding Analogies
%D SEP 1985
%R STAN-CS-85-1071
%I Stanford University Computer Science
%K AI04
%X $15.00

%A Bruce G. Buchanan
%T Expert Systems: Working Systems and The Research Literature
%D OCT 1985
%R STAN-Cs-85-1075
%K AI01
%X $3.00

%A Deepinder P. Sidhu
%T Protocol Verification Using Prolog
%D JUL 1985
%R TR #85-21
%I Iowa State University
%K AA08 Communications ISO/ISI T02

%A M. Attisha
%A M. Yazdani
%T A Microcomputer-based Tutor for Teaching Arithmetic Skills
%D 1983
%I Department of Computer Science, University of Exeter, UK
%K H01 AA07 GA03

%A M. Attisha
%A M. Yazdani
%T An Expert System for Diagnosing childrens' Multiplication Errors
%D 1983
%I Department of Computer Science, University of Exeter, UK
%K H01 AI01 AA07 GA03

%A A. Attisha
%T A Microcomputer-based Tutoring System for Self-Improving and Teaching
Techniques in Arithmetic Skills
%D 1983
%I Department of Computer Science, University of Exeter, UK
%K H01 AA07 PET Non Borrow Subtraction Algorithm Buggy Debuggy GA03

%A M. Yazdani
%T Artificial Intelligence and Education
%D 1984
%I Department of Computer Science, University of Exeter, UK
%R Research Report NO. R122
%K H01 AI01 AA07 T02 GA03

%A J. Barchan
%A B. Woodmansee
%A M. Yazdani
%T A PROLOG-based tool for French Grammar Analysis
%I Department of Computer Science, University of Exeter, UK
%R Research Report No. R126
%K AI02 GA03 FROG AA07 T02

%A M. Yazdani
%T Intelligent Tutoring Systems: An Overview
%I Department of Computer Science, University of Exeter, UK
%R Working Paper No. W. 136
%K AI01 AA07 GA03

%A M. Yazdani
%T Artificial Intelligence, Powerful Ideas and Education
%I Department of Computer Science, University of Exeter, UK
%R Working Paper No. W 138
%K Computer Assisted Learning AA07 GA03

%A Bruce Abramson
%T An Explanation of and Cure for Minimax Pathology
%R CSD-850034
%I University of California, Los Angeles
%K AA17 AI03
%X The minimax procedure has long been the standard method of evaluating nodes
in  game  trees.  The general assumption underlying its use in game-playing
programs is that increasing search depth improves play.   Recent  work  has
shown  that this assumption is not always valid; for a large class of games
and evaluation functions, searching deeper  decreases  the  probability  of
making a correct move.  This phenomenon is called game tree pathology.
Two structural properties of game trees have been suggested  as  causes  of
pathology:  independence  among  the  values  of sibling nodes, and uniform
depth of wins and losses.  This paper examines the relationship between
uniform win depth and pathology from two angles.  First, it
proves mathematically that as search deepens,
an evaluation function that does not .ul  ask
whether  wins  can  be  forced from mid-game positions becomes decreasingly
likely to choose forced wins.  Second, it  experimentally  illustrates  the
connection  between recognition of mid-game wins and pathological behavior.
Two evaluation functions, which differ only in their ability  to  recognize
wins  in mid-game, are run on a series of games.  Despite recognizing fewer
mid-game wins than the theoretically  predicted  minimum  needed  to  avoid
pathology,  the  function that checked for them cleared up the pathological
behavior of the one that did not.
The analytic and empirical aspects of this paper combine to form one  major
result:   As  search deepens, so does the probability that failing to check
for forced wins will change the game's outcome.  This strengthens
the  hypothesis that uniform win depth is the cause of pathology.
$1.50

%A Michael Dyer
%A Eric Quilici
%T Human Problem Understanding and Advice Giving: A Computer Model
%R CSD-850039
%I University of California, Los Angeles
%K AA15 AI02 Aqua Unix Advisor AI09
%X How are people able to understand someone else's problem and  provide  them
with  advice?   How  are people able to develop novel solutions to problems
they have never seen before?  The thesis presented here is a first step toward
answering these questions, presenting a computer model of the process
of problem understanding and advice giving.  The problems we  consider  are
typical planning problems that novice computer users encounter.
We view advice giving as a memory search problem, guided by heuristics  for
problem  understanding,  advice  generation,  and  plan  creation.  In this
thesis we describe a representational system for  user  planning  problems,
show  how advice can be generated using a taxonomy of planning problems and
associated heuristics for advice formulation, present heuristics  that  can
be  used to repair failed plans and to create new plans by combining existing pl
ans in novel ways, and suggest a  memory  organization  for  planning
knowledge  that allows for efficient retrieval of relevant planning experiences.
The theory discussed in this thesis is implemented in  a  computer  program
called AQUA (Alex Quilici's UNIX|+ Advisor).  AQUA  takes  natural  language
descriptions  of  problems  users are having with the UNIX operating system
and provides natural language advice that explains their failures and  suggests
 solutions.   AQUA is also able to create solutions for problems that
it has not been presented with before.
$7.75

%A Judea Pearl
%A Azaria Paz
%T Graphoids A Graph-Based Logic for Reasoning About Relevance Relations
%I University of California, Los Angeles
%R CSD-850038
%K AI11
%X We consider 3-place relations I (x,z,y) where, x,y, and  z  are  three
non-intersecting  sets of elements, (e.g., propositions), and I (x,z,y)
stands for the statement: "Knowing z renders x irrelevant to y".   We  give
sufficient  conditions  on  I for the existence of a (minimal) graph G such
that I (x,z,y) can be validated by testing whether z separates x from y
in G.  These conditions define a GRAPHOID.
The theory of graphoids  uncovers  the  axiomatic  basis  of  probabilistic
dependencies  and  ties  it to vertex-separation conditions in graphs.  The
defining axioms can also be viewed as inference rules  for  deducing  which
propositions  are  relevant  to  each  other,  given  a  certain  state  of
knowledge.

------------------------------

End of AIList Digest
********************